# Makefile.in generated by automake 1.11.6 from Makefile.am.
# modules/hdf5/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
# Copyright (C) 2009 - DIGITEO - Allan CORNET
#
# This file must be used under the terms of the CeCILL.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
# Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
# Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
#
# This file must be used under the terms of the CeCILL.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#

##########
### Makefile included stuff
### Target, variable, suffixes which are supposed to be useful in every makefile.am
##########



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/scilab
pkgincludedir = $(includedir)/scilab
pkglibdir = $(libdir)/scilab
pkglibexecdir = $(libexecdir)/scilab
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.incl.am
#am__append_1 = java
subdir = modules/hdf5
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
	$(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
	$(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
	$(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
	$(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
	$(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
	$(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
	$(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
	$(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
	$(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkglibdir)" \
	"$(DESTDIR)$(libscihdf5_la_etcdir)" \
	"$(DESTDIR)$(libscihdf5_la_rootdir)" \
	"$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)" \
	"$(DESTDIR)$(libscihdf5_la_testsampledatadir)"
LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
libscihdf5_algo_la_LIBADD =
am__objects_1 = libscihdf5_algo_la-h5_fileManagement.lo \
	libscihdf5_algo_la-h5_writeDataToFile.lo \
	libscihdf5_algo_la-h5_readDataFromFile.lo \
	libscihdf5_algo_la-h5_readDataFromFile_v1.lo \
	libscihdf5_algo_la-import_from_hdf5_v1.lo \
	libscihdf5_algo_la-listvar_in_hdf5_v1.lo
am_libscihdf5_algo_la_OBJECTS = $(am__objects_1)
libscihdf5_algo_la_OBJECTS = $(am_libscihdf5_algo_la_OBJECTS)
libscihdf5_la_DEPENDENCIES = libscihdf5-algo.la
am__objects_2 = libscihdf5_la-sci_export_to_hdf5.lo \
	libscihdf5_la-sci_import_from_hdf5.lo \
	libscihdf5_la-sci_is_hdf5_file.lo \
	libscihdf5_la-sci_listvar_in_hdf5.lo
am__objects_3 = libscihdf5_la-gw_hdf5.lo
am_libscihdf5_la_OBJECTS = $(am__objects_2) $(am__objects_3)
libscihdf5_la_OBJECTS = $(am_libscihdf5_la_OBJECTS)
libscihdf5_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(libscihdf5_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)/modules/core/includes
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libscihdf5_algo_la_SOURCES) $(libscihdf5_la_SOURCES)
DIST_SOURCES = $(libscihdf5_algo_la_SOURCES) $(libscihdf5_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(libscihdf5_la_etc_DATA) $(libscihdf5_la_root_DATA) \
	$(libscihdf5_la_sci_gateway_DATA) \
	$(libscihdf5_la_testsampledata_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/missing --run aclocal-1.11
ALL_LINGUAS = en_US fr_FR zh_CN zh_TW ru_RU ca_ES de_DE es_ES pt_BR ja_JP it_IT uk_UA pl_PL cs_CZ
ALL_LINGUAS_DOC = en_US fr_FR pt_BR ja_JP ru_RU
AMTAR = $${TAR-tar}
ANT = 
ANTLR = 
AR = ar
ARPACK_LIBS = 
ASM3 = 
AUTOCONF = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/missing --run automake-1.11
AVALON_FRAMEWORK = 
AWK = gawk
BATIK = 
BLAS_LIBS = -lblas
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECKSTYLE = 
COBERTURA = 
COMMONS_BEANUTILS = 
COMMONS_IO = 
COMMONS_LOGGING = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEMOTOOLS_ENABLE = no
DEPDIR = .deps
DOCBOOK_ROOT = 
DOXYGEN_BIN = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
FFTW3_LIB = 
FFTW_ENABLE = no
FGREP = /bin/grep -F
FLEXDOCK = 
FLIBS =  -L/usr/lib/gcc/i486-linux-gnu/4.4.3 -L/usr/lib/gcc/i486-linux-gnu/4.4.3/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.4.3/../../.. -L/usr/lib/i486-linux-gnu -lpthread -ldl -lcurses -lgfortranbegin -lgfortran -lm
FOP = 
GENHTML = 
GETTEXT_MACRO_VERSION = 0.18
GIWS_BIN = 
GLUEGEN2_RT = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GRAPHICS_ENABLE = no
GREP = /bin/grep
GUI_ENABLE = no
HDF5_CFLAGS = 
HDF5_LIBS = -lhdf5
HELP_ENABLE = no
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JAR = 
JAVA = 
JAVAC = 
JAVAC_DEBUG = 
JAVADOC = 
JAVAH = 
JAVASCI_ENABLE = no
JAVA_ENABLE = no
JAVA_G = 
JAVA_HOME = 
JAVA_JNI_INCLUDE = 
JAVA_JNI_LIBS = 
JDB = 
JEUCLID_CORE = 
JGRAPHX = 
JHALL = 
JLATEXMATH = 
JLATEXMATH_FOP = 
JOGL2 = 
JROSETTA_API = 
JROSETTA_ENGINE = 
JUNIT4 = 
LAPACK_LIBS = -llapack
LCOV = 
LD = /usr/bin/ld
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBM = -lm
LIBOBJS = 
LIBS = -lpthread -ldl -lcurses  -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LOGGING_LEVEL = SEVERE
LOOKS = 
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/missing --run makeinfo
MATIO_CFLAGS = 
MATIO_ENABLE = no
MATIO_LIBS = 
MKDIR_P = /bin/mkdir -p
MSGCAT = /usr/bin/msgcat
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCAMLC = 
OCAMLDEP = 
OCAMLLEX = 
OCAMLOPT = 
OCAMLYACC = 
OPENMP_CFLAGS = 
OPENMP_CXXFLAGS = 
OPENMP_ENABLE = no
OPENMP_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = scilab
PACKAGE_BUGREPORT = http://bugzilla.scilab.org/
PACKAGE_NAME = Scilab
PACKAGE_STRING = Scilab 5
PACKAGE_TARNAME = scilab
PACKAGE_URL = 
PACKAGE_VERSION = 5
PATH_SEPARATOR = :
PCRE_CFLAGS =  
PCRE_CONFIG = pcre-config
PCRE_LIBS = -L/usr/lib -lpcreposix -lpcre
PCRE_VERSION = 7.8
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
POW_LIB = 
PYTHON = 
RANLIB = ranlib
RELOCATABLE = no
RT_LIB = 
SAXON = 
SCILAB_BINARY_VERSION = 5.4.1
SCILAB_LIBRARY_VERSION = 5:4:1
SCILAB_VERSION_MAINTENANCE = 1
SCILAB_VERSION_MAJOR = 5
SCILAB_VERSION_MINOR = 4
SCIRENDERER = 
SCI_CFLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DNDEBUG -fno-stack-protector -msse
SCI_CXXFLAGS = -DNDEBUG -fno-stack-protector -msse
SCI_FFLAGS = -DNDEBUG -msse
SCI_LDFLAGS = -lstdc++ -Wl,--no-as-needed
SED = /bin/sed
SET_MAKE = 
SET_RELOCATABLE = 
SHELL = /bin/bash
SKINLF = 
SPLINT = no
STRIP = strip
SWIG_BIN = 
SWIG_JAVA = 
SWIG_RUNTIME_LIBS_DIR = 
TCLTK_LIBS = 
TCL_INC_PATH = 
TK_INC_PATH = 
UMFPACK_ENABLE = no
UMFPACK_LIB = 
USE_NLS = yes
VERSION = 5
WITH_OCAML = 
WITH_TKSCI = no
XCOS_ENABLE = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMKMF = 
XMLGRAPHICS_COMMONS = 
XML_APIS_EXT = 
XML_CONFIG = xml2-config
XML_FLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2
XML_VERSION = 2.7.6
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS = 
abs_builddir = /home/scilab/SuperCC/sci_git_repository/scilab/modules/hdf5
abs_srcdir = /home/scilab/SuperCC/sci_git_repository/scilab/modules/hdf5
abs_top_builddir = /home/scilab/SuperCC/sci_git_repository/scilab
abs_top_srcdir = /home/scilab/SuperCC/sci_git_repository/scilab
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
cxx_present = yes
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/scilab/SuperCC/sci_git_repository/scilab/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..

# No GUI. Disable the Java build
##USEANT = 1
HDF5_SOURCES = src/c/h5_fileManagement.c \
src/c/h5_writeDataToFile.c \
src/c/h5_readDataFromFile.c \
src/c/h5_readDataFromFile_v1.c \
src/cpp/import_from_hdf5_v1.cpp \
src/cpp/listvar_in_hdf5_v1.cpp

GATEWAY_C_SOURCES = sci_gateway/c/gw_hdf5.c
GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_export_to_hdf5.cpp \
sci_gateway/cpp/sci_import_from_hdf5.cpp \
sci_gateway/cpp/sci_is_hdf5_file.cpp \
sci_gateway/cpp/sci_listvar_in_hdf5.cpp

#BUILT_SOURCES = giws

#### hdf5 : include files ####
libscihdf5_la_CPPFLAGS = -I$(srcdir)/includes/ \
				-I$(srcdir)/src/c/ \
				-I$(srcdir)/src/cpp/ \
				-I$(srcdir)/src/jni/ \
				-I$(top_srcdir)/modules/output_stream/includes/ \
				-I$(top_srcdir)/modules/api_scilab/includes/ \
                -I$(top_srcdir)/modules/jvm/includes/ \
                -I$(top_srcdir)/modules/commons/src/jni/ \
				-I$(top_srcdir)/modules/localization/includes/ \
				-I$(top_srcdir)/modules/fileio/includes/ \
				$(JAVA_JNI_INCLUDE) \
				$(HDF5_CFLAGS) \
				$(AM_CPPFLAGS)


#### hdf5 : gateway declaration ####
libscihdf5_la_sci_gatewaydir = $(mydatadir)/sci_gateway
libscihdf5_la_sci_gateway_DATA = sci_gateway/hdf5_gateway.xml
pkglib_LTLIBRARIES = libscihdf5.la
noinst_LTLIBRARIES = libscihdf5-algo.la

# When Scilab is built with HDF5, we need some libraries for a workaround
libscihdf5_la_LDFLAGS = $(HDF5_LIBS) $(AM_LDFLAGS)
libscihdf5_algo_la_SOURCES = $(HDF5_SOURCES)
libscihdf5_la_SOURCES = $(GATEWAY_CXX_SOURCES) $(GATEWAY_C_SOURCES)
libscihdf5_algo_la_CPPFLAGS = $(libscihdf5_la_CPPFLAGS)

# For the code check (splint)
CHECK_SRC = $(HDF5_SOURCES) $(GATEWAY_CXX_SOURCES)
INCLUDE_FLAGS = $(libscihdf5_la_CPPFLAGS)
libscihdf5_la_LIBADD = libscihdf5-algo.la

#### Target ######
modulename = hdf5

#### hdf5 : Conf files ####
libscihdf5_la_rootdir = $(mydatadir)
libscihdf5_la_root_DATA = license.txt

#### hdf5 : init scripts ####
libscihdf5_la_etcdir = $(mydatadir)/etc
libscihdf5_la_etc_DATA = etc/hdf5.quit etc/hdf5.start

#### hdf5 : test file ####
libscihdf5_la_testsampledatadir = $(mydatadir)/tests/sample_scilab_data
libscihdf5_la_testsampledata_DATA = \
tests/sample_scilab_data/booleanmatrix.sod \
tests/sample_scilab_data/booleanmatrix_v1.sod \
tests/sample_scilab_data/booleanscalar.sod \
tests/sample_scilab_data/booleanscalar_v1.sod \
tests/sample_scilab_data/booleansparse.sod \
tests/sample_scilab_data/booleansparse_v1.sod \
tests/sample_scilab_data/emptymatrix.sod \
tests/sample_scilab_data/emptysparse.sod \
tests/sample_scilab_data/emptysparse_v1.sod \
tests/sample_scilab_data/hypermatrixcomplex.sod \
tests/sample_scilab_data/hypermatrixcomplex_v1.sod \
tests/sample_scilab_data/hypermatrix.sod \
tests/sample_scilab_data/hypermatrix_v1.sod \
tests/sample_scilab_data/int16.sod \
tests/sample_scilab_data/int16_v1.sod \
tests/sample_scilab_data/int32.sod \
tests/sample_scilab_data/int32_v1.sod \
tests/sample_scilab_data/int8.sod \
tests/sample_scilab_data/int8_v1.sod \
tests/sample_scilab_data/list.sod \
tests/sample_scilab_data/list_v1.sod \
tests/sample_scilab_data/listnested.sod \
tests/sample_scilab_data/listnested_v1.sod \
tests/sample_scilab_data/matricedoublecomplex.sod \
tests/sample_scilab_data/matricedoublecomplex_v1.sod \
tests/sample_scilab_data/matricedoublecomplexscalar.sod \
tests/sample_scilab_data/matricedoublecomplexscalar_v1.sod \
tests/sample_scilab_data/matricedouble.sod \
tests/sample_scilab_data/matricedouble_v1.sod \
tests/sample_scilab_data/matricedoublescalar.sod \
tests/sample_scilab_data/matricedoublescalar_v1.sod \
tests/sample_scilab_data/matricestring.sod \
tests/sample_scilab_data/matricestring_v1.sod \
tests/sample_scilab_data/matricestringscalar.sod \
tests/sample_scilab_data/matricestringscalar_v1.sod \
tests/sample_scilab_data/mlist.sod \
tests/sample_scilab_data/mlist_v1.sod \
tests/sample_scilab_data/polynomialscoef.sod \
tests/sample_scilab_data/polynomialscoef_v1.sod \
tests/sample_scilab_data/polynomials.sod \
tests/sample_scilab_data/polynomials_v1.sod \
tests/sample_scilab_data/sparsematrix.sod \
tests/sample_scilab_data/sparsematrix_v1.sod \
tests/sample_scilab_data/tlist.sod \
tests/sample_scilab_data/tlist_v1.sod \
tests/sample_scilab_data/uint16.sod \
tests/sample_scilab_data/uint16_v1.sod \
tests/sample_scilab_data/uint32.sod \
tests/sample_scilab_data/uint32_v1.sod \
tests/sample_scilab_data/uint8.sod \
tests/sample_scilab_data/uint8_v1.sod \
tests/sample_scilab_data/undefinedelement.sod \
tests/sample_scilab_data/undefinedelement_v1.sod \
tests/sample_scilab_data/voidelement.sod \
tests/sample_scilab_data/voidelement_v1.sod


# Where all the Scilab stuff is installed (macros, help, ...)
mydatadir = $(pkgdatadir)/modules/$(modulename)

# Set AM_* SCI detected settings
AM_CPPFLAGS = $(SCI_CPPFLAGS)
AM_CFLAGS = $(SCI_CFLAGS)
AM_CXXFLAGS = $(SCI_CXXFLAGS)
# append includes to AM_FFLAGS to manage fortran includes
AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/

# Tag shared libraries with the Scilab version
AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)

# splint options
SPLINT_OPTIONS = -weak -booltype BOOL

########################### JAVA ######################################
#### We are delegating java compilation to ant... Thanks to that
#### the procedure will be the same with Microsoft Windows (C)
#### and Linux/Unix
#######################################################################
TARGETS_ALL = $(am__append_1)

################ MACROS ######################
# Rule to build a macro
# NOT USED  AT THE MOMENT
SUFFIXES = .sci 

########### INSTALL DOCUMENTATION ###################

# Install documentation files into the right target
# We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
# automake needs the html files to be present which is not the case when
# we are building Scilab

# Where it should be installed
pkgdocdir = $(mydatadir)

# What is the mask of the help source
DOCMASKXML = *.xml

# What is the mask of the MathML sources
DOCMASKMML = *.mml

########### INSTALL DATA ###################
# Install macros, help & demos
# Where it should be installed
pkgmacrosdir = $(mydatadir)
# Which directory we process
MACRODIRS = macros/
# Mask of the Scilab sources macros
MACROMASK = *.sci
# Mask of the Scilab executable sources macros
MACROBUILDMASK = *.sce
# Mask of the Scilab compiled macros
MACROBINMASK = *.bin
# List of the standard directory for tests
TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
# Where the demos should be installed
pkgdemosdir = $(mydatadir)
# List of the standard directory for demos
DEMOS_DIR = demos
# List of the standard directory for examples
EXAMPLES_DIR = examples
# Where to export JAVA archives (.jar)
JARDIR = jar/
# JAR files mask
JARMASK = *.jar
# Chapter file 
HELP_CHAPTERDIR = help/
HELP_CHAPTERFILE = addchapter.sce
HELP_CHAPTERLANG = en_US fr_FR pt_BR
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .sci .bin .c .cpp .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/hdf5/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign modules/hdf5/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/Makefile.incl.am:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
	}

uninstall-pkglibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
	done

clean-pkglibLTLIBRARIES:
	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libscihdf5-algo.la: $(libscihdf5_algo_la_OBJECTS) $(libscihdf5_algo_la_DEPENDENCIES) $(EXTRA_libscihdf5_algo_la_DEPENDENCIES) 
	$(CXXLINK)  $(libscihdf5_algo_la_OBJECTS) $(libscihdf5_algo_la_LIBADD) $(LIBS)
libscihdf5.la: $(libscihdf5_la_OBJECTS) $(libscihdf5_la_DEPENDENCIES) $(EXTRA_libscihdf5_la_DEPENDENCIES) 
	$(libscihdf5_la_LINK) -rpath $(pkglibdir) $(libscihdf5_la_OBJECTS) $(libscihdf5_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libscihdf5_algo_la-h5_fileManagement.Plo
include ./$(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile.Plo
include ./$(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile_v1.Plo
include ./$(DEPDIR)/libscihdf5_algo_la-h5_writeDataToFile.Plo
include ./$(DEPDIR)/libscihdf5_algo_la-import_from_hdf5_v1.Plo
include ./$(DEPDIR)/libscihdf5_algo_la-listvar_in_hdf5_v1.Plo
include ./$(DEPDIR)/libscihdf5_la-gw_hdf5.Plo
include ./$(DEPDIR)/libscihdf5_la-sci_export_to_hdf5.Plo
include ./$(DEPDIR)/libscihdf5_la-sci_import_from_hdf5.Plo
include ./$(DEPDIR)/libscihdf5_la-sci_is_hdf5_file.Plo
include ./$(DEPDIR)/libscihdf5_la-sci_listvar_in_hdf5.Plo

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

libscihdf5_algo_la-h5_fileManagement.lo: src/c/h5_fileManagement.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscihdf5_algo_la-h5_fileManagement.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-h5_fileManagement.Tpo -c -o libscihdf5_algo_la-h5_fileManagement.lo `test -f 'src/c/h5_fileManagement.c' || echo '$(srcdir)/'`src/c/h5_fileManagement.c
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-h5_fileManagement.Tpo $(DEPDIR)/libscihdf5_algo_la-h5_fileManagement.Plo
#	source='src/c/h5_fileManagement.c' object='libscihdf5_algo_la-h5_fileManagement.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscihdf5_algo_la-h5_fileManagement.lo `test -f 'src/c/h5_fileManagement.c' || echo '$(srcdir)/'`src/c/h5_fileManagement.c

libscihdf5_algo_la-h5_writeDataToFile.lo: src/c/h5_writeDataToFile.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscihdf5_algo_la-h5_writeDataToFile.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-h5_writeDataToFile.Tpo -c -o libscihdf5_algo_la-h5_writeDataToFile.lo `test -f 'src/c/h5_writeDataToFile.c' || echo '$(srcdir)/'`src/c/h5_writeDataToFile.c
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-h5_writeDataToFile.Tpo $(DEPDIR)/libscihdf5_algo_la-h5_writeDataToFile.Plo
#	source='src/c/h5_writeDataToFile.c' object='libscihdf5_algo_la-h5_writeDataToFile.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscihdf5_algo_la-h5_writeDataToFile.lo `test -f 'src/c/h5_writeDataToFile.c' || echo '$(srcdir)/'`src/c/h5_writeDataToFile.c

libscihdf5_algo_la-h5_readDataFromFile.lo: src/c/h5_readDataFromFile.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscihdf5_algo_la-h5_readDataFromFile.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile.Tpo -c -o libscihdf5_algo_la-h5_readDataFromFile.lo `test -f 'src/c/h5_readDataFromFile.c' || echo '$(srcdir)/'`src/c/h5_readDataFromFile.c
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile.Tpo $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile.Plo
#	source='src/c/h5_readDataFromFile.c' object='libscihdf5_algo_la-h5_readDataFromFile.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscihdf5_algo_la-h5_readDataFromFile.lo `test -f 'src/c/h5_readDataFromFile.c' || echo '$(srcdir)/'`src/c/h5_readDataFromFile.c

libscihdf5_algo_la-h5_readDataFromFile_v1.lo: src/c/h5_readDataFromFile_v1.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscihdf5_algo_la-h5_readDataFromFile_v1.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile_v1.Tpo -c -o libscihdf5_algo_la-h5_readDataFromFile_v1.lo `test -f 'src/c/h5_readDataFromFile_v1.c' || echo '$(srcdir)/'`src/c/h5_readDataFromFile_v1.c
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile_v1.Tpo $(DEPDIR)/libscihdf5_algo_la-h5_readDataFromFile_v1.Plo
#	source='src/c/h5_readDataFromFile_v1.c' object='libscihdf5_algo_la-h5_readDataFromFile_v1.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscihdf5_algo_la-h5_readDataFromFile_v1.lo `test -f 'src/c/h5_readDataFromFile_v1.c' || echo '$(srcdir)/'`src/c/h5_readDataFromFile_v1.c

libscihdf5_la-gw_hdf5.lo: sci_gateway/c/gw_hdf5.c
	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscihdf5_la-gw_hdf5.lo -MD -MP -MF $(DEPDIR)/libscihdf5_la-gw_hdf5.Tpo -c -o libscihdf5_la-gw_hdf5.lo `test -f 'sci_gateway/c/gw_hdf5.c' || echo '$(srcdir)/'`sci_gateway/c/gw_hdf5.c
	$(am__mv) $(DEPDIR)/libscihdf5_la-gw_hdf5.Tpo $(DEPDIR)/libscihdf5_la-gw_hdf5.Plo
#	source='sci_gateway/c/gw_hdf5.c' object='libscihdf5_la-gw_hdf5.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscihdf5_la-gw_hdf5.lo `test -f 'sci_gateway/c/gw_hdf5.c' || echo '$(srcdir)/'`sci_gateway/c/gw_hdf5.c

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ $<

libscihdf5_algo_la-import_from_hdf5_v1.lo: src/cpp/import_from_hdf5_v1.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_algo_la-import_from_hdf5_v1.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-import_from_hdf5_v1.Tpo -c -o libscihdf5_algo_la-import_from_hdf5_v1.lo `test -f 'src/cpp/import_from_hdf5_v1.cpp' || echo '$(srcdir)/'`src/cpp/import_from_hdf5_v1.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-import_from_hdf5_v1.Tpo $(DEPDIR)/libscihdf5_algo_la-import_from_hdf5_v1.Plo
#	source='src/cpp/import_from_hdf5_v1.cpp' object='libscihdf5_algo_la-import_from_hdf5_v1.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_algo_la-import_from_hdf5_v1.lo `test -f 'src/cpp/import_from_hdf5_v1.cpp' || echo '$(srcdir)/'`src/cpp/import_from_hdf5_v1.cpp

libscihdf5_algo_la-listvar_in_hdf5_v1.lo: src/cpp/listvar_in_hdf5_v1.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_algo_la-listvar_in_hdf5_v1.lo -MD -MP -MF $(DEPDIR)/libscihdf5_algo_la-listvar_in_hdf5_v1.Tpo -c -o libscihdf5_algo_la-listvar_in_hdf5_v1.lo `test -f 'src/cpp/listvar_in_hdf5_v1.cpp' || echo '$(srcdir)/'`src/cpp/listvar_in_hdf5_v1.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_algo_la-listvar_in_hdf5_v1.Tpo $(DEPDIR)/libscihdf5_algo_la-listvar_in_hdf5_v1.Plo
#	source='src/cpp/listvar_in_hdf5_v1.cpp' object='libscihdf5_algo_la-listvar_in_hdf5_v1.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_algo_la-listvar_in_hdf5_v1.lo `test -f 'src/cpp/listvar_in_hdf5_v1.cpp' || echo '$(srcdir)/'`src/cpp/listvar_in_hdf5_v1.cpp

libscihdf5_la-sci_export_to_hdf5.lo: sci_gateway/cpp/sci_export_to_hdf5.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_la-sci_export_to_hdf5.lo -MD -MP -MF $(DEPDIR)/libscihdf5_la-sci_export_to_hdf5.Tpo -c -o libscihdf5_la-sci_export_to_hdf5.lo `test -f 'sci_gateway/cpp/sci_export_to_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_export_to_hdf5.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_la-sci_export_to_hdf5.Tpo $(DEPDIR)/libscihdf5_la-sci_export_to_hdf5.Plo
#	source='sci_gateway/cpp/sci_export_to_hdf5.cpp' object='libscihdf5_la-sci_export_to_hdf5.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_la-sci_export_to_hdf5.lo `test -f 'sci_gateway/cpp/sci_export_to_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_export_to_hdf5.cpp

libscihdf5_la-sci_import_from_hdf5.lo: sci_gateway/cpp/sci_import_from_hdf5.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_la-sci_import_from_hdf5.lo -MD -MP -MF $(DEPDIR)/libscihdf5_la-sci_import_from_hdf5.Tpo -c -o libscihdf5_la-sci_import_from_hdf5.lo `test -f 'sci_gateway/cpp/sci_import_from_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_import_from_hdf5.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_la-sci_import_from_hdf5.Tpo $(DEPDIR)/libscihdf5_la-sci_import_from_hdf5.Plo
#	source='sci_gateway/cpp/sci_import_from_hdf5.cpp' object='libscihdf5_la-sci_import_from_hdf5.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_la-sci_import_from_hdf5.lo `test -f 'sci_gateway/cpp/sci_import_from_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_import_from_hdf5.cpp

libscihdf5_la-sci_is_hdf5_file.lo: sci_gateway/cpp/sci_is_hdf5_file.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_la-sci_is_hdf5_file.lo -MD -MP -MF $(DEPDIR)/libscihdf5_la-sci_is_hdf5_file.Tpo -c -o libscihdf5_la-sci_is_hdf5_file.lo `test -f 'sci_gateway/cpp/sci_is_hdf5_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_is_hdf5_file.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_la-sci_is_hdf5_file.Tpo $(DEPDIR)/libscihdf5_la-sci_is_hdf5_file.Plo
#	source='sci_gateway/cpp/sci_is_hdf5_file.cpp' object='libscihdf5_la-sci_is_hdf5_file.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_la-sci_is_hdf5_file.lo `test -f 'sci_gateway/cpp/sci_is_hdf5_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_is_hdf5_file.cpp

libscihdf5_la-sci_listvar_in_hdf5.lo: sci_gateway/cpp/sci_listvar_in_hdf5.cpp
	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscihdf5_la-sci_listvar_in_hdf5.lo -MD -MP -MF $(DEPDIR)/libscihdf5_la-sci_listvar_in_hdf5.Tpo -c -o libscihdf5_la-sci_listvar_in_hdf5.lo `test -f 'sci_gateway/cpp/sci_listvar_in_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_listvar_in_hdf5.cpp
	$(am__mv) $(DEPDIR)/libscihdf5_la-sci_listvar_in_hdf5.Tpo $(DEPDIR)/libscihdf5_la-sci_listvar_in_hdf5.Plo
#	source='sci_gateway/cpp/sci_listvar_in_hdf5.cpp' object='libscihdf5_la-sci_listvar_in_hdf5.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihdf5_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscihdf5_la-sci_listvar_in_hdf5.lo `test -f 'sci_gateway/cpp/sci_listvar_in_hdf5.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_listvar_in_hdf5.cpp

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-libscihdf5_la_etcDATA: $(libscihdf5_la_etc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscihdf5_la_etc_DATA)'; test -n "$(libscihdf5_la_etcdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscihdf5_la_etcdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscihdf5_la_etcdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihdf5_la_etcdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihdf5_la_etcdir)" || exit $$?; \
	done

uninstall-libscihdf5_la_etcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscihdf5_la_etc_DATA)'; test -n "$(libscihdf5_la_etcdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscihdf5_la_etcdir)'; $(am__uninstall_files_from_dir)
install-libscihdf5_la_rootDATA: $(libscihdf5_la_root_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscihdf5_la_root_DATA)'; test -n "$(libscihdf5_la_rootdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscihdf5_la_rootdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscihdf5_la_rootdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihdf5_la_rootdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihdf5_la_rootdir)" || exit $$?; \
	done

uninstall-libscihdf5_la_rootDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscihdf5_la_root_DATA)'; test -n "$(libscihdf5_la_rootdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscihdf5_la_rootdir)'; $(am__uninstall_files_from_dir)
install-libscihdf5_la_sci_gatewayDATA: $(libscihdf5_la_sci_gateway_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscihdf5_la_sci_gateway_DATA)'; test -n "$(libscihdf5_la_sci_gatewaydir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)" || exit $$?; \
	done

uninstall-libscihdf5_la_sci_gatewayDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscihdf5_la_sci_gateway_DATA)'; test -n "$(libscihdf5_la_sci_gatewaydir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
install-libscihdf5_la_testsampledataDATA: $(libscihdf5_la_testsampledata_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscihdf5_la_testsampledata_DATA)'; test -n "$(libscihdf5_la_testsampledatadir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscihdf5_la_testsampledatadir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscihdf5_la_testsampledatadir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihdf5_la_testsampledatadir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihdf5_la_testsampledatadir)" || exit $$?; \
	done

uninstall-libscihdf5_la_testsampledataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscihdf5_la_testsampledata_DATA)'; test -n "$(libscihdf5_la_testsampledatadir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscihdf5_la_testsampledatadir)'; $(am__uninstall_files_from_dir)

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
installdirs:
	for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscihdf5_la_etcdir)" "$(DESTDIR)$(libscihdf5_la_rootdir)" "$(DESTDIR)$(libscihdf5_la_sci_gatewaydir)" "$(DESTDIR)$(libscihdf5_la_testsampledatadir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-local distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-data-local install-libscihdf5_la_etcDATA \
	install-libscihdf5_la_rootDATA \
	install-libscihdf5_la_sci_gatewayDATA \
	install-libscihdf5_la_testsampledataDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-pkglibLTLIBRARIES

install-html: install-html-am

install-html-am: install-html-local

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-libscihdf5_la_etcDATA \
	uninstall-libscihdf5_la_rootDATA \
	uninstall-libscihdf5_la_sci_gatewayDATA \
	uninstall-libscihdf5_la_testsampledataDATA \
	uninstall-pkglibLTLIBRARIES

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
	clean clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-local distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-data-local install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-html-local install-info \
	install-info-am install-libscihdf5_la_etcDATA \
	install-libscihdf5_la_rootDATA \
	install-libscihdf5_la_sci_gatewayDATA \
	install-libscihdf5_la_testsampledataDATA install-man \
	install-pdf install-pdf-am install-pkglibLTLIBRARIES \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-libscihdf5_la_etcDATA \
	uninstall-libscihdf5_la_rootDATA \
	uninstall-libscihdf5_la_sci_gatewayDATA \
	uninstall-libscihdf5_la_testsampledataDATA \
	uninstall-pkglibLTLIBRARIES


# This target enables tests for Scilab
check-local: $(top_builddir)/scilab-bin test
	if test -d $(mydatadir)/tests; then \
	  @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
	fi
check-code:
	if test -f build.xml; then \
		$(ANT) checkstyle; \
	fi
	if test -x "$(SPLINT)"; then \
		$(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
	fi
#java:
# Some configurations needs to export JAVA_HOME in the current env
#	@if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
#	if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
#	if test -f build.xml -a $$USEANT -eq 1; then \
#		$(ANT); \
#	fi

#clean-java:
# Some configurations needs to export JAVA_HOME in the current env
#	@if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
#	if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
#	if test -f build.xml -a $$USEANT -eq 1; then \
#		$(ANT) clean; \
#	fi;

# If the user request for the SWIG generation of the wrappers Java => C/C++ 
# We call the target swig-build on the variable SWIG_WRAPPERS

#swig: $(SWIG_WRAPPERS)
#	@SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
#	SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
#	if test -n "$(SWIG_WRAPPERS)"; then \
#		for file in $(SWIG_WRAPPERS) ; do \
#			echo "Swig process of $$file ..."; \
#			$(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
#		done; \
#	fi

# If the user request for the SWIG generation of the wrappers Java => C/C++ 
# We call the target swig-build on the variable SWIG_WRAPPERS

#giws: $(GIWS_WRAPPERS)
#	@GIWS_OUTPUTDIR=src/jni/;\
#	if test -n "$(GIWS_WRAPPERS)"; then \
#		for file in $(GIWS_WRAPPERS) ; do \
#			echo "GIWS process of $$file ..."; \
#			$(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
#		done; \
#	fi

#giws-exception:
#	@GIWS_OUTPUTDIR=src/jni/;\
#	echo "GIWS: Generation of exception class ..."; \
#	$(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 

macros:
	-@( if test ! -x $(top_builddir)/scilab-bin; then \
		echo "Error : Cannot build $< : Scilab has not been built"; \
	else \
		$(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
	fi)

# Removes the macros
clean-macros:
# Removes macros (*.bin generated from .sci)
	@for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
		echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
		rm -f $(builddir)/$$dir/$(MACROBINMASK); \
	done

test:
# More tests could be added here
	@if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
	if test -f build.xml -a $$USEANT -eq 1; then \
		$(ANT) test; \
	fi

all-local: $(TARGETS_ALL)

.sci.bin:
	-@( if test ! -x $(top_builddir)/scilab-bin; then \
	echo "Error : Cannot build $< : Scilab has not been build"; \
	else \
	echo "Creating $@"; \
	$(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
	fi )

install-html-local:

install-data-local-local:
# Mainly for javasci
	@if test -d $(srcdir)/javadoc; then \
		cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
	fi
# If the user wants the help sources to be installed
	@echo "-------- Install of XML sources of help files --------"; \
	for lang in $(ALL_LINGUAS); do \
	 if test -d $(srcdir)/help/$$lang; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
		if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
		  for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
		  done ; \
		fi; \
	 fi; \
	done; \
	@echo "-------- Install of MathML sources --------"; \
	 if test -d $(srcdir)/help/mml/; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
		if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
		  for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
		  done ; \
		fi; \
	fi
install-data-local:
# Install the tests
	@echo "-------- Install tests (if any) --------"; \
	for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
	  if test -d $(srcdir)/$$dir/; then \
	    $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
		  for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
		    if test -d "$(srcdir)/$$dir/$$file"; then \
			  echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
			  $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
		    else \
		      echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
	    	  $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
		    fi \
		  done; \
	  fi; \
	done
# Install the help chapter
	@echo "-------- Install the help chapter (if any) --------"; \
	for lang in $(HELP_CHAPTERLANG); do \
		HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
		if test -f $$HELPFILE; then \
			echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
			$(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
			echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
			$(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
		fi; \
	done
# Install the demos & examples
	@echo "-------- Install demos & examples (if any) --------"; \
	for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
	  if test -d $(srcdir)/$$dir/; then \
	    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
		  for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
		    if test -d "$(srcdir)/$$dir/$$file"; then \
			  echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
			  $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
		    else \
		      echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
	    	  $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
		    fi \
		  done; \
	  fi; \
	done
# Install the macros
	@echo "-------- Install macros (if any) --------"; \
	for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
	  $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
		if test -d $(srcdir)/$$dir/; then \
			FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
			if test -n "$(MACROSSPECIALEXT)"; then \
				specialExtDir=""; \
				for specialExt in $(MACROSSPECIALEXT); do \
					specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
				done; \
				FILELIST="$$FILELIST $$specialExtDir"; \
			fi; \
		  for file in `ls -1 $$FILELIST 2>/dev/null`; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
		  done; \
		fi; \
	done
# Install java files (.jar)
	@if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
	echo "-------- Install jar files --------"; \
    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
	  for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
	  done ; \
	fi

########### CLEAN ###################
# Clean help (generated automatically by Scilab)
# It used to clean the macro (clean-macros) but this was causing
# make clean && make to fail Scilab startup
#clean-local: clean-java
clean-local:

distclean-local:
	rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*

.PHONY: macros java swig giws

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
